Subject: Re: linux-next: manual merge of the sound tree with the s5p tree

From: Mark Brown <[email-masked]>
Date: Tue, 28 Dec 2010 15:39:48 +0000

On Tue, Dec 28, 2010 at 11:24:49AM +0900, Kukjin Kim wrote:

> Takashi, as Russell's first option, could you please make some branch which
> includes following to me?

Please keep myself and Liam in the CC on all ASoC discussion.

> Of course, I know you need rebase you tree for it...so sorry for bothering.

This isn't going to help as it will just introduce the same duplicate
commits issue into the sound tree.  I'm still not clear what the
affected commits actually are but given that Stephen's original report
indicated that the ASoC changes are subsets of your changes would it not
make sense to just drop the relevant commits from your tree (which seems
to be rebased often, unlike the sound tree which doesn't rebase)?

Another option is to do a second round of merges after both sound and
ALSA trees with whatever the dependant commits are.